- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vultr_plan_info – Gather information about the Vultr plans available

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gather information about plans available to boot servers.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_account string | Default: "default" | Name of the ini section in the `vultr.ini` file. The ENV variable `VULTR_API_ACCOUNT` is used as default, when defined.
api_endpoint string |  | URL to API endpint (without trailing slash). The ENV variable `VULTR_API_ENDPOINT` is used as default, when defined. Fallback value is https://api.vultr.com if not specified.
api_key string |  | API key of the Vultr API. The ENV variable `VULTR_API_KEY` is used as default, when defined.
api_retries integer |  | Amount of retries in case of the Vultr API retuns an HTTP 503 code. The ENV variable `VULTR_API_RETRIES` is used as default, when defined. Fallback value is 5 retries if not specified.
api_retry_max_delay integer added in 2.9 |  | Retry backoff delay in seconds is exponential up to this max. value, in seconds. The ENV variable `VULTR_API_RETRY_MAX_DELAY` is used as default, when defined. Fallback value is 12 seconds.
api_timeout integer |  | HTTP timeout to Vultr API. The ENV variable `VULTR_API_TIMEOUT` is used as default, when defined. Fallback value is 60 seconds if not specified.
validate_certs boolean | Choices: no yes ← | Validate SSL certs of the Vultr API.

## Notes

Note

- Also see the API documentation on https://www.vultr.com/api/.

## Examples

    - name: Gather Vultr plans information
      local_action:
        module: vultr_plan_info
      register: result

    - name: Print the gathered information
      debug:
        var: result.vultr_plan_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
vultr_api complex | success | Response from Vultr API with a few additions/modification
| api_account string | success | Account used in the ini file to select the key Sample: default
| api_endpoint string | success | Endpoint used for the API requests Sample: https://api.vultr.com
| api_retries integer | success | Amount of max retries for the API requests Sample: 5
| api_retry_max_delay integer added in 2.9 | success | Exponential backoff delay in seconds between retries up to this max delay value. Sample: 12
| api_timeout integer | success | Timeout used for the API requests Sample: 60
vultr_plan_info complex | success | Response from Vultr API
| plan list | success | List of the plans available. Sample: [{'available_locations': [1], 'bandwidth': 40.0, 'bandwidth_gb': 40960, 'disk': 110, 'id': 118, 'name': '32768 MB RAM,110 GB SSD,40.00 TB BW', 'plan_type': 'DEDICATED', 'price_per_month': 240.0, 'ram': 32768, 'vcpu_count': 8, 'windows': False}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Yanis Guenane (@Spredzy)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.